- Main Page
- Namespaces
- Classes
- Files
- Related Pages

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# TAO::Out_Var_Size_Argument_T< S, S_out, Insert_Policy > Class Template Reference

Template class for OUT stub argument of fixed size IDL types. More...

`#include <Var_Size_Argument_T.h>`

Inheritance diagram for TAO::Out_Var_Size_Argument_T< S, S_out, Insert_Policy >:

[legend]
Collaboration diagram for TAO::Out_Var_Size_Argument_T< S, S_out, Insert_Policy >:

[legend]
List of all members.

## Public Member Functions
| Out_Var_Size_Argument_T (S_out x)
virtual CORBA::Boolean | demarshal (TAO_InputCDR &)
| Demarshal the argument from the given CDR input stream.
virtual void | interceptor_value (CORBA::Any *any) const
| Populate the given CORBA::Any result argument.
S *& | arg (void)
## Private Attributes
S *& | x_

## Detailed Description

### template<typename S, typename S_out, typename Insert_Policy>
class TAO::Out_Var_Size_Argument_T< S, S_out, Insert_Policy >

Template class for OUT stub argument of fixed size IDL types.

## Constructor & Destructor Documentation

template<typename S, typename S_out, typename Insert_Policy>

ACE_INLINE TAO::Out_Var_Size_Argument_T< S, S_out, Insert_Policy >::Out_Var_Size_Argument_T | ( | S_out | x | ) |

## Member Function Documentation

template<typename S, typename S_out, typename Insert_Policy>

ACE_INLINE S *& TAO::Out_Var_Size_Argument_T< S, S_out, Insert_Policy >::arg | ( | void |  | ) |

template<typename S, typename S_out, typename Insert_Policy>

CORBA::Boolean TAO::Out_Var_Size_Argument_T< S, S_out, Insert_Policy >::demarshal | ( | TAO_InputCDR & |  | ) | `[virtual]`

Demarshal the argument from the given CDR input stream.

Note:
  The default implementation simply returns `true`.

Reimplemented from TAO::Argument.

template<typename S, typename S_out, typename Insert_Policy>

void TAO::Out_Var_Size_Argument_T< S, S_out, Insert_Policy >::interceptor_value | ( | CORBA::Any * | any | ) | const`[virtual]`

Populate the given CORBA::Any result argument.

Note:
  The default implementation is a no-op.

Reimplemented from TAO::Argument.

## Member Data Documentation

template<typename S, typename S_out, typename Insert_Policy>

S*& TAO::Out_Var_Size_Argument_T< S, S_out, Insert_Policy >::x_`[private]`

The documentation for this class was generated from the following files:

- Var_Size_Argument_T.h
- Var_Size_Argument_T.cpp
- Var_Size_Argument_T.inl